#include <bits/stdc++.h>

using namespace std;

int main() {ios_base::sync_with_stdio(false);cin.tie(0),cin.tie(0);
    long long k;
    cin >> k;

    string s = to_string(k);
    reverse(s.begin(), s.end());

    for (char& c :s) {
        if (c == '1')
            c = '1';
        else if (c == '2')
            c = '5';
        else if (c == '8')
            c = '8';
        else if (c == '5')
            c = '2';
        else if (c == '0')
            c = '0';
    }

    cout << stoi(s);

    return 0;
}
